## ros-humble-rosidl-parser 3.1.5

=== debian/changelog ===
ros-humble-rosidl-parser (3.1.5-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-rosidl-parser (3.1.4-2jammy) jammy; urgency=high

  * Always include whitespace in string literals (#688 <https://github.com/ros2/rosidl/issues/688>) (#689 <https://github.com/ros2/rosidl/issues/689>)
  * Contributors: mergify[bot]

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-rosidl-parser (3.1.3-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-humble-rosidl-parser (3.1.2-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-rosidl-parser (3.1.1-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-humble-rosidl-parser (3.1.0-2jammy) jammy; urgency=high

  * Set maybe_placeholders to False for lark 1.+ compatibility (#664 <https://github.com/ros2/rosidl/issues/664>)
  * Generate documentation in generated C header files based on ROS interfaces comments (#593 <https://github.com/ros2/rosidl/issues/593>)
  * Contributors: Ivan Santiago Paunovic, Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-rosidl-parser (3.0.1-2jammy) jammy; urgency=high

  * Pass comments in ros interface constants to the .idl generated files (#630 <https://github.com/ros2/rosidl/issues/630>)
  * Contributors: Ivan Santiago Paunovic

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 13 Jan 2022 00:00:00 -0000

ros-humble-rosidl-parser (3.0.0-2jammy) jammy; urgency=high

  * Update package maintainers (#624 <https://github.com/ros2/rosidl/issues/624>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 05 Nov 2021 00:00:00 -0000

ros-humble-rosidl-parser (2.5.0-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 10 Aug 2021 00:00:00 -0000

ros-humble-rosidl-parser (2.4.0-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 12 Jul 2021 00:00:00 -0000

ros-humble-rosidl-parser (2.3.0-2jammy) jammy; urgency=high

  * Fix escaping in string literals (#595 <https://github.com/ros2/rosidl/issues/595>)
  * Contributors: Ivan Santiago Paunovic

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 11 Jun 2021 00:00:00 -0000

ros-humble-rosidl-parser (2.2.1-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 06 Apr 2021 00:00:00 -0000

ros-humble-rosidl-parser (2.2.0-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 18 Mar 2021 00:00:00 -0000

ros-humble-rosidl-parser (2.1.0-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 09 Mar 2021 00:00:00 -0000

ros-humble-rosidl-parser (2.0.3-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 25 Jan 2021 00:00:00 -0000

ros-humble-rosidl-parser (2.0.2-2jammy) jammy; urgency=high

  * Update and add package.xml descriptions to README (#553 <https://github.com/ros2/rosidl/issues/553>)
  * Finish support for fixed-point literals.
  * Fix parsing of small floats.
  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 08 Dec 2020 00:00:00 -0000

ros-humble-rosidl-parser (2.0.1-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 28 Sep 2020 00:00:00 -0000

ros-humble-rosidl-parser (2.0.0-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 24 Sep 2020 00:00:00 -0000

ros-humble-rosidl-parser (1.1.0-2jammy) jammy; urgency=high

  * Allow zero length string constants (#507 <https://github.com/ros2/rosidl/issues/507>)
  * Add pytest.ini so tests succeed locally (#502 <https://github.com/ros2/rosidl/issues/502>)
  * Contributors: Chris Lalancette, Dirk Thomas

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 17 Aug 2020 00:00:00 -0000

ros-humble-rosidl-parser (1.0.1-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 03 Jun 2020 00:00:00 -0000

ros-humble-rosidl-parser (1.0.0-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 22 May 2020 00:00:00 -0000

ros-humble-rosidl-parser (0.9.2-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 19 May 2020 00:00:00 -0000

ros-humble-rosidl-parser (0.9.1-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 08 May 2020 00:00:00 -0000

ros-humble-rosidl-parser (0.9.0-2jammy) jammy; urgency=high

  * Use f-string (#436 <https://github.com/ros2/rosidl/issues/436>)
  * Contributors: Dirk Thomas

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 24 Apr 2020 00:00:00 -0000

ros-humble-rosidl-parser (0.8.2-2jammy) jammy; urgency=high

  * Allow 'get_const_expr_value' to parse either literals or scoped_names… (#430 <https://github.com/ros2/rosidl/issues/430>)
  * Use imperative mood in constructor docstring. (#425 <https://github.com/ros2/rosidl/issues/425>)
  * Contributors: Steven! Ragnarök, kylemarcey

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 17 Jan 2020 00:00:00 -0000

ros-humble-rosidl-parser (0.8.1-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 23 Oct 2019 00:00:00 -0000

ros-humble-rosidl-parser (0.8.0-2jammy) jammy; urgency=high

  * support adjacent string literals, use them for multi-line comments (#410 <https://github.com/ros2/rosidl/issues/410>)
  * fix parsing empty string literal (#409 <https://github.com/ros2/rosidl/issues/409>)
  * add constant for member name in empty structs (#389 <https://github.com/ros2/rosidl/issues/389>)
  * Contributors: Dirk Thomas

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 24 Sep 2019 00:00:00 -0000
