=== debian/control ===
Source: ros-humble-rosidl-parser
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-humble-ament-cmake, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rosidl-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-lark, ros-humble-rosidl-adapter, ros-humble-ros-workspace
Description: The parser for `.idl` ROS interface files.
